Subject: Bug with rmail (Emacs 29.1) and movemail 3.16 when password starts with dash symbol
From: [email-masked]
To: [email-masked]
Date: Sat, 02 Dec 2023 18:50:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

My remote mailbox password starts with a dash. I cannot use rmail 
regardless to whether I store the password in my imaps:// URL or I 
insert the password when prompted, and escaping the dash does not help 
in either case.

As for movemail, when I'm prompted to insert the password I don't 
remember in which cases I was successful (but I'm confident to say that 
the command failed either when the dash was escaped or when it was not). 
I can also report that when the password is included in the URL which I 
pass to movemail, then everything works as expected both when the dash 
is not escaped and when it is.